---
apiVersion: image.openshift.io/v1
generation: 2
image:
  dockerImageMetadata:
    ContainerConfig: {}
    Created: null
    Id: ""
    apiVersion: image.openshift.io/1.0
    kind: DockerImage
  dockerImageMetadataVersion: "1.0"
  dockerImageReference: registry.redhat.io/ubi8/ruby-31@sha256:403a00eac7dadbcd104baad900c09bdc262137d6fea09968c2560a9fbb1bb48f
  metadata:
    creationTimestamp: null
    name: sha256:403a00eac7dadbcd104baad900c09bdc262137d6fea09968c2560a9fbb1bb48f
kind: ImageStreamTag
lookupPolicy:
  local: false
metadata:
  annotations:
    description: Build and run Ruby 3.1 applications on UBI 8. For more information
      about using this builder image, including OpenShift considerations, see https://github.com/sclorg/s2i-ruby-container/blob/master/3.1/README.md.
    iconClass: icon-ruby
    openshift.io/display-name: Ruby 3.1 (UBI 8)
    openshift.io/provider-display-name: Red Hat, Inc.
    sampleRepo: https://github.com/sclorg/ruby-ex.git
    tags: builder,ruby
    version: "3.1"
  creationTimestamp: "2025-10-27T11:40:54Z"
  labels:
    samples.operator.openshift.io/managed: "true"
  name: ruby:3.1-ubi8
  namespace: openshift
  resourceVersion: "19776"
  uid: 331fc267-683c-41d4-b6cf-4571b1d5d623
tag:
  annotations:
    description: Build and run Ruby 3.1 applications on UBI 8. For more information
      about using this builder image, including OpenShift considerations, see https://github.com/sclorg/s2i-ruby-container/blob/master/3.1/README.md.
    iconClass: icon-ruby
    openshift.io/display-name: Ruby 3.1 (UBI 8)
    openshift.io/provider-display-name: Red Hat, Inc.
    sampleRepo: https://github.com/sclorg/ruby-ex.git
    tags: builder,ruby
    version: "3.1"
  from:
    kind: DockerImage
    name: registry.redhat.io/ubi8/ruby-31:latest
  generation: 2
  importPolicy:
    importMode: Legacy
  name: 3.1-ubi8
  referencePolicy:
    type: Local
